Name:           digibyte
Version:        6.14.2
Release:        1%{?dist}
License:        MIT
Summary:        P2P digital currency
Url:            http://digibyte.org/

Source0:        https://github.com/%{name}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  boost-devel
BuildRequires:  jansson-devel
BuildRequires:  libcurl-devel
BuildRequires:  libdb4-cxx-devel >= 4.8
BuildRequires:  libevent-devel
BuildRequires:  openssl-devel
BuildRequires:  qrencode-devel
BuildRequires:  qt4-devel
%if 0%{?rhel} <= 7
BuildRequires:  miniupnpc-devel 
%endif
BuildRequires:  automake autoconf libtool
BuildRequires:  protobuf-devel
%if 0%{?suse_version} > 0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%endif

%description
DigiByte (DGB) is a rapidly growing global blockchain with a focus on cybersecurity for digital payments & decentralized applications. Over 4 years, DigiByte has become the world's fastest, longest and most decentralized UTXO blockchain today.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
DigiByte development package

%package cli
Summary: DigiByte CLI
Requires: %{name} = %{version}-%{release}

%description cli
DigiByte CLI package

%package daemon
Summary: DigiByte daemon
Requires: %{name} = %{version}-%{release}

%description daemon
DigiByte daemon package

%package qt
Summary: DigiByte GUI
Requires: %{name} = %{version}-%{release}

%description qt
DigiByte GUI package

%prep
%setup -q

%build
./autogen.sh 0%{?_without-miniupnpc}
%configure
%__make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root,-)
%doc COPYING README.md
%{_libdir}/libdigibyteconsensus.so.0
%{_libdir}/libdigibyteconsensus.so.0.0.0

%files devel
%defattr(-,root,root,-)
%{_includedir}/digibyteconsensus.h
%{_libdir}/libdigibyteconsensus.a
%{_libdir}/libdigibyteconsensus.la
%{_libdir}/libdigibyteconsensus.so
%{_libdir}/pkgconfig/libdigibyteconsensus.pc

%files cli
%defattr(-,root,root,-)
%{_bindir}/%{name}-cli
%{_bindir}/%{name}-tx
%{_mandir}/man1/%{name}-cli.1.gz
%{_mandir}/man1/%{name}-tx.1.gz
%{_bindir}/test_%{name}

%files daemon
%defattr(-,root,root,-)
%{_bindir}/bench_%{name}
%{_bindir}/%{name}d
%{_mandir}/man1/%{name}d.1.gz

%files qt
%defattr(-,root,root,-)
%{_bindir}/%{name}-qt
%{_mandir}/man1/%{name}-qt.1.gz
%{_bindir}/test_%{name}-qt

%changelog
* Tue Dec 26 2017 Vadim Raskhozhev <iamdexpl@gmail.com> - 6.14.2-1
- Initial RPM
